Loading...
Searching...
No Matches
RDKit::MarvinSuperatomSgroup Class Reference

`#include <MarvinDefs.h>`

Inheritance diagram for RDKit::MarvinSuperatomSgroup:

## Public Member Functions

| MarvinSuperatomSgroup (MarvinMolBase *parent)
| MarvinSuperatomSgroup (MarvinMolBase *parent, ptree &molTree)
MarvinMolBase * | copyMol (const std::string &idAppend) const override
| ~MarvinSuperatomSgroup () override
void | convertFromOneSuperAtom ()
std::string | role () const override
bool | hasAtomBondBlocks () const override
bool | isPassiveRoleForExpansion () const override
std::string | toString () const override
ptree | toPtree () const override
void | cleanUpNumberingMolsAtomsBonds (int &molCount, int &atomCount, int &bondCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap) override
IsSgroupInAtomSetResult | isSgroupInSetOfAtoms (const std::vector< MarvinAtom * > &setOfAtoms) const override
void | processSpecialSgroups () override
Public Member Functions inherited from RDKit::MarvinMolBase
void | addSgroupsToPtree (ptree &pt) const
virtual void | pushOwnedAtom (MarvinAtom *atom)
virtual void | pushOwnedBond (MarvinBond *bond)
virtual void | removeOwnedAtom (MarvinAtom *atom)
virtual void | removeOwnedBond (MarvinBond *bond)
int | getExplicitValence (const MarvinAtom &marvinAtom) const
| MarvinMolBase ()
virtual | ~MarvinMolBase ()
int | getAtomIndex (std::string id) const
int | getBondIndex (std::string id) const
const std::vector< std::string > | getBondList () const
const std::vector< std::string > | getAtomList () const
bool | AnyOverLappingAtoms (const MarvinMolBase *otherMol) const
void | cleanUpNumbering (int &molCount, int &atomCount, int &bondCount, int &sgCount, std::map< std::string, std::string > &sgMap, std::map< std::string, std::string > &atomMap, std::map< std::string, std::string > &bondMap)
void | cleanUpSgNumbering (int &sgCount, std::map< std::string, std::string > &sgMap)
MarvinAtom * | findAtomByRef (std::string atomId)
MarvinBond * | findBondByRef (std::string atomId)
void | clearMaps ()
void | prepSgroupsForRDKit ()
void | processSgroupsFromRDKit ()
virtual bool | isPassiveRoleForContraction () const
virtual void | parseMoleculeSpecific (RDKit::RWMol *mol, std::unique_ptr< SubstanceGroup > &sgroup, int sequenceId)
bool | has2dCoords () const
bool | has3dCoords () const
bool | hasAny3dCoords () const
bool | hasAny2dCoords () const
bool | hasCoords () const
void | removeCoords ()
void | parseAtomsAndBonds (ptree &molTree)

## Public Attributes

std::string | title
std::vector< std::unique_ptr< MarvinAttachmentPoint > > | attachmentPoints
Public Attributes inherited from RDKit::MarvinMolBase
std::string | molID
std::string | id
std::vector< MarvinAtom * > | atoms
std::vector< MarvinBond * > | bonds
std::vector< std::unique_ptr< MarvinMolBase > > | sgroups
MarvinMolBase * | parent

## Additional Inherited Members

Static Public Member Functions inherited from RDKit::MarvinMolBase
static bool | atomRefInAtoms (MarvinAtom *a, std::string b)
static bool | bondRefInBonds (MarvinBond *a, std::string b)
static bool | molIDInSgroups (std::string a, std::string b)

## Detailed Description

Definition at line 535 of file MarvinDefs.h.

## Constructor & Destructor Documentation

## MarvinSuperatomSgroup() [1/2]

RDKit::MarvinSuperatomSgroup::MarvinSuperatomSgroup | ( | MarvinMolBase * | parent | ) |

## MarvinSuperatomSgroup() [2/2]

RDKit::MarvinSuperatomSgroup::MarvinSuperatomSgroup | ( | MarvinMolBase * | parent,
|  | ptree & | molTree
| ) |  |

## ~MarvinSuperatomSgroup()

RDKit::MarvinSuperatomSgroup::~MarvinSuperatomSgroup | ( |  | ) |

override

## Member Function Documentation

## cleanUpNumberingMolsAtomsBonds()

void RDKit::MarvinSuperatomSgroup::cleanUpNumberingMolsAtomsBonds | ( | int & | molCount,
|  | int & | atomCount,
|  | int & | bondCount,
|  | std::map< std::string, std::string > & | sgMap,
|  | std::map< std::string, std::string > & | atomMap,
|  | std::map< std::string, std::string > & | bondMap
| ) |  |

override virtual

Reimplemented from RDKit::MarvinMolBase.

## convertFromOneSuperAtom()

void RDKit::MarvinSuperatomSgroup::convertFromOneSuperAtom | ( |  | ) |

## copyMol()

MarvinMolBase * RDKit::MarvinSuperatomSgroup::copyMol | ( | const std::string & | idAppend | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## hasAtomBondBlocks()

bool RDKit::MarvinSuperatomSgroup::hasAtomBondBlocks | ( |  | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## isPassiveRoleForExpansion()

bool RDKit::MarvinSuperatomSgroup::isPassiveRoleForExpansion | ( |  | ) | const

override virtual

Reimplemented from RDKit::MarvinMolBase.

## isSgroupInSetOfAtoms()

IsSgroupInAtomSetResult RDKit::MarvinSuperatomSgroup::isSgroupInSetOfAtoms | ( | const std::vector< MarvinAtom * > & | setOfAtoms | ) | const

override virtual

Reimplemented from RDKit::MarvinMolBase.

## processSpecialSgroups()

void RDKit::MarvinSuperatomSgroup::processSpecialSgroups | ( |  | ) |

override virtual

Reimplemented from RDKit::MarvinMolBase.

## role()

std::string RDKit::MarvinSuperatomSgroup::role | ( |  | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## toPtree()

ptree RDKit::MarvinSuperatomSgroup::toPtree | ( |  | ) | const

override virtual

Reimplemented from RDKit::MarvinMolBase.

## toString()

std::string RDKit::MarvinSuperatomSgroup::toString | ( |  | ) | const

override virtual

Implements RDKit::MarvinMolBase.

## Member Data Documentation

## attachmentPoints

std::vector<std::unique_ptr<MarvinAttachmentPoint> > RDKit::MarvinSuperatomSgroup::attachmentPoints

Definition at line 538 of file MarvinDefs.h.

## title

std::string RDKit::MarvinSuperatomSgroup::title

Definition at line 537 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h